@use '../functions/calculations';
@use 'ratio';

// these calculations are based on a 1920px wide browser window
// the inner container has maximum of 1720px
// percentages are calculated to use a ratio for the widths
$full-hd-width: 1920;
$grid-desktop-column-width: 105;
$grid-desktop-full-container-width: 1720;
$grid-desktop-column-count: 12;

$grid-desktop-column-gap: calculations.calculateGap(
  $grid-desktop-full-container-width,
  $grid-desktop-column-width,
  $grid-desktop-column-count,
  $grid-desktop-column-count - 1
);

$grid-desktop-full-container-ratio: calculations.calculateRatio(
  $grid-desktop-full-container-width,
  $full-hd-width,
  ratio.$percent-100
);

// a ten column container inside of the full 12 column container
$grid-desktop-ten-column-count: 10;
// width without any unit
$grid-desktop-ten-column-container-width: calculations.calculateWidth(
  $grid-desktop-column-width,
  $grid-desktop-column-gap,
  $grid-desktop-ten-column-count,
  $grid-desktop-ten-column-count - 1
);
$grid-desktop-ten-column-container-ratio: calculations.calculateRatio(
  $grid-desktop-ten-column-container-width,
  $grid-desktop-full-container-width,
  ratio.$percent-100
);

// the calculations for mobile are based on 390px (iphone 12 portrait mode in firefox and chrome)
// the inner container on mobile has maximum 370px
// percentages are calculated to use a ratio for the widths
$iphone-width: 390;
$grid-mobile-column-width: 70;
$grid-mobile-full-container-width: 370;
$grid-mobile-column-count: 4;

$grid-mobile-column-gap: calculations.calculateGap(
  $grid-mobile-full-container-width,
  $grid-mobile-column-width,
  $grid-mobile-column-count,
  $grid-mobile-column-count - 1
);

$grid-mobile-full-container-ratio: calculations.calculateRatio(
  $grid-mobile-full-container-width,
  $iphone-width,
  ratio.$percent-100
);
